The method allows the creation of additional custom fields for contacts.
To create a contact field, make a request to this URL:
| POST http://one-api.bsg.world/api/contacts/fields |
| Parameter | Required | Type | Description |
|---|---|---|---|
| name | yes | string | The name of the custom field for the contacts. |
| type | yes | string |
Field type. Possible values:
– string ― field with the “Text” type; – integer ― field with the “Number” type; – datetime ― field with the “Date and time” type. |
| description | no | string | Description of the custom contact field. |
| is_visible | no | bool | Whether the field is displayed: true or false value. |
| Parameter | Type | Description |
|---|---|---|
| id | integer | Custom field ID for the contacts. Generated by the BSG system automatically when a field is created. |
| type | string | Contact field type. |
| name | string | Name of the custom contact field. |
| description | string | Description of the custom contact field. |
| is_visible | bool | Whether the field is displayed: true or false value. |
If request is successful, you will receive a response:
{
"data": {
"id": 26130,
"name": "Country",
"description": "The country name",
"is_visible": true,
"type": "text"
}
}